com.sun.jna.platform.win32

## Class OaIdl.FUNCDESC

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.FUNCDESC

- Direct Known Subclasses:
    OaIdl.FUNCDESC.ByReference
  Enclosing interface:
    OaIdl

      public static class OaIdl.FUNCDESC
      extends Structure

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OaIdl.FUNCDESC.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OaIdl.CALLCONV` | `callconv`
    `short` | `cParams`
    `short` | `cParamsOpt`
    `short` | `cScodes`
    `OaIdl.ELEMDESC` | `elemdescFunc`
    `OaIdl.FUNCKIND` | `funckind`
    `OaIdl.INVOKEKIND` | `invkind`
    `OaIdl.ELEMDESC` | `lprgelemdescParam` [size_is] C type : ELEMDESC*
    `WinDef.SCODE` | `lprgscode` [size_is] C type : SCODE*
    `OaIdl.MEMBERID` | `memid`
    `short` | `oVft`
    `short` | `wFuncFlags`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OaIdl.FUNCDESC()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### memid

          public OaIdl.MEMBERID memid

    - #### lprgscode

          public WinDef.SCODE lprgscode

      [size_is]
      C type : SCODE*

    - #### lprgelemdescParam

          public OaIdl.ELEMDESC lprgelemdescParam

      [size_is]
      C type : ELEMDESC*

    - #### funckind

          public OaIdl.FUNCKIND funckind

    - #### invkind

          public OaIdl.INVOKEKIND invkind

    - #### callconv

          public OaIdl.CALLCONV callconv

    - #### cParams

          public short cParams

    - #### cParamsOpt

          public short cParamsOpt

    - #### oVft

          public short oVft

    - #### cScodes

          public short cScodes

    - #### elemdescFunc

          public OaIdl.ELEMDESC elemdescFunc

    - #### wFuncFlags

          public short wFuncFlags

  - ### Constructor Detail

    - #### OaIdl.FUNCDESC

          public OaIdl.FUNCDESC()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.